#!/bin/sh

# Memory map for 1 trigger unit
cheby -i trigunit_regs.cheby --gen-hdl trigunit_regs.vhd

# Memory map for the trigger units
cheby -i wr2rf_rftrigger_regs.cheby --gen-hdl wr2rf_rftrigger_regs.vhd

cheby -i wr2rf_init_rf_regs.cheby --gen-hdl wr2rf_init_rf_regs.vhd

# RFNCO
( cd ../../../dependencies/RFNCO/MemMap/ ; cheby -i RFNCO.cheby --gen-hdl ) > wr2rf_rfnco_regs.vhd

# Top-level memory map
cheby -i wr2rf_vme_regs.cheby --gen-hdl wr2rf_vme_regs.vhd
