package trigunit_regs_Consts is
  constant TRIGUNIT_REGS_SIZE : Natural := 128;
  constant ADDR_TRIGUNIT_REGS_STATUS : Natural := 16#0#;
  constant TRIGUNIT_REGS_STATUS_MISSVALID_OFFSET : Natural := 7;
  constant TRIGUNIT_REGS_STATUS_MISSREADY_OFFSET : Natural := 6;
  constant TRIGUNIT_REGS_STATUS_STARTREADY_OFFSET : Natural := 5;
  constant TRIGUNIT_REGS_STATUS_RUNNING_OFFSET : Natural := 4;
  constant TRIGUNIT_REGS_STATUS_WRONGBVALUE_OFFSET : Natural := 3;
  constant TRIGUNIT_REGS_STATUS_WRONGHTVALUE_OFFSET : Natural := 2;
  constant TRIGUNIT_REGS_STATUS_WRONGWVALUE_OFFSET : Natural := 1;
  constant ADDR_TRIGUNIT_REGS_CONTROL : Natural := 16#2#;
  constant TRIGUNIT_REGS_CONTROL_VTURESET_OFFSET : Natural := 2;
  constant TRIGUNIT_REGS_CONTROL_STOPSOFTTRIGGER_OFFSET : Natural := 1;
  constant TRIGUNIT_REGS_CONTROL_STARTSOFTTRIGGER_OFFSET : Natural := 0;
  constant ADDR_TRIGUNIT_REGS_CONFIGOFFLINE : Natural := 16#4#;
  constant TRIGUNIT_REGS_CONFIGOFFLINE_MODE_OFFSET : Natural := 4;
  constant TRIGUNIT_REGS_CONFIGOFFLINE_HTSWITCHINGENABLE_OFFSET : Natural := 1;
  constant TRIGUNIT_REGS_CONFIGOFFLINE_VALID_OFFSET : Natural := 0;
  constant ADDR_TRIGUNIT_REGS_BVALUEOFFLINE : Natural := 16#8#;
  constant ADDR_TRIGUNIT_REGS_HTVALUEOFFLINE : Natural := 16#10#;
  constant ADDR_TRIGUNIT_REGS_WVALUEOFFLINE : Natural := 16#18#;
  constant ADDR_TRIGUNIT_REGS_CONFIGONLINE : Natural := 16#20#;
  constant TRIGUNIT_REGS_CONFIGONLINE_MODE_OFFSET : Natural := 4;
  constant TRIGUNIT_REGS_CONFIGONLINE_HTSWITCHINGENABLE_OFFSET : Natural := 1;
  constant ADDR_TRIGUNIT_REGS_BVALUEONLINE : Natural := 16#28#;
  constant ADDR_TRIGUNIT_REGS_HTVALUEONLINE : Natural := 16#30#;
  constant ADDR_TRIGUNIT_REGS_WVALUEONLINE : Natural := 16#38#;
  constant ADDR_TRIGUNIT_REGS_SYNCIDELAY : Natural := 16#40#;
  constant TRIGUNIT_REGS_SYNCIDELAY_DELAY_OFFSET : Natural := 0;
  constant ADDR_TRIGUNIT_REGS_TRIGODELAY : Natural := 16#42#;
  constant TRIGUNIT_REGS_TRIGODELAY_DELAY_OFFSET : Natural := 0;
  constant ADDR_TRIGUNIT_REGS_TRIGDIAG : Natural := 16#50#;
  constant TRIGUNIT_REGS_TRIGDIAG_SIZE : Natural := 16;
end package trigunit_regs_Consts;
