#ifndef __CHEBY__WR2RF_INIT_RF_REGS__H__
#define __CHEBY__WR2RF_INIT_RF_REGS__H__

#include "wr2rf_init_rf_ch_regs.h"
#define WR2RF_INIT_RF_REGS_SIZE 32 /* 0x20 */

/* None */
#define WR2RF_INIT_RF_REGS_RF1 0x0UL
#define WR2RF_INIT_RF_REGS_RF1_SIZE 16 /* 0x10 */

/* None */
#define WR2RF_INIT_RF_REGS_RF2 0x10UL
#define WR2RF_INIT_RF_REGS_RF2_SIZE 16 /* 0x10 */

struct wr2rf_init_rf_regs {
  /* [0x0]: SUBMAP (no description) */
  struct wr2rf_init_rf_ch_regs rf1;

  /* [0x10]: SUBMAP (no description) */
  struct wr2rf_init_rf_ch_regs rf2;
};

#endif /* __CHEBY__WR2RF_INIT_RF_REGS__H__ */
